import React, { Component } from 'react';


require('./Info.scss');



export default ({ show = true, main, secondary, icon, image, buttons, minHeight, size = "big" }) => {

    if (!show) {
        return false;
    }

    let className = "info-container " + size;
    if (minHeight) {
        className += " min-height";
    }

    return (
        <div className={ className }>
            { icon ? <div className="icon">{ icon }</div> : null }
            { main ? <div className="main">{ main }</div> : null }
            { secondary ? <div className="secondary">{ secondary }</div> : null }
            { buttons ? <div className="buttons">{ buttons }</div> : null }
        </div>
    );
}


